#
# spec file for package scim-hangul (Version 0.2.1.20060113)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 pam pam-modules pango pango-devel patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm scim scim-devel sed sgml-skel skim strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           scim-hangul
BuildRequires:  gtk2-devel kdelibs3-devel scim-devel skim
Version:        0.2.1.20060113
Release:        15.2
License:        GPL
Group:          System/I18n/Korean
Autoreqprov:    on
Provides:       locale(scim:ko)
URL:            http://www.scim-im.org/
# CVS repository:
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim login 
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim co scim-hangul
Source0:        http://belnet.dl.sourceforge.net/sourceforge/scim/scim-hangul-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Hangul Input Method Engine for SCIM

%description
Hangul Input Method Engine for SCIM



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%debug_package
%package -n scim-hangul-skim
Summary:        Hangul Input Method Engine for SCIM
Group:          System/I18n/Korean
Requires:       %{name} = %{version}
Provides:       locale(skim:ko)

%description -n scim-hangul-skim
skim setup module for scim-hangul



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%prep
%define build_setup     1
%setup -q -n %{name}-%{version}

%build
./bootstrap
#libtoolize --force
#autoreconf -I /opt/gnome/share/aclocal --force --install --verbose
export CXXFLAGS="$RPM_OPT_FLAGS"
export QTDIR=/usr/lib/qt3
export KDEDIR=/opt/kde3
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} \
            --disable-static \
	    --enable-debug
make 
unsermake -C skim

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
export QTDIR=/usr/lib/qt3
export KDEDIR=/opt/kde3
make DESTDIR=${RPM_BUILD_ROOT} install
unsermake -C skim DESTDIR=${RPM_BUILD_ROOT} install
rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/IMEngine/hangul.{a,la}
rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/SetupUI/hangul-imengine-setup.{a,la}
%find_lang scim-hangul
%find_lang skim-scim-hangul

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files -f scim-hangul.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%dir %{_libdir}/scim-1.0/
%dir %{_libdir}/scim-1.0/IMEngine/
%{_libdir}/scim-1.0/IMEngine/hangul.so
%if %{build_setup}
%dir %{_libdir}/scim-1.0/SetupUI/
%{_libdir}/scim-1.0/SetupUI/hangul-imengine-setup.so
%endif
%dir %{_datadir}/scim/icons/
%{_datadir}/scim/icons/scim-hangul.png

%files -n scim-hangul-skim -f skim-scim-hangul.lang
%defattr(-, root, root)
%dir /opt/kde3/share/apps/skim/
/opt/kde3/share/apps/skim/*
/opt/kde3/share/config.kcfg/*
/opt/kde3/share/services/*
/opt/kde3/%{_lib}/kde3/*

%changelog -n scim-hangul
* Wed Mar 15 2006 - mfabian@suse.de
- Bugzilla #158170: add "Provides: locale(skim:ko)" to
  scim-hangul-skim sub-package.
* Thu Feb 23 2006 - mfabian@suse.de
- add "Provides:     locale(scim:ko)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - zsu@suse.de
- update to 0.2.1
- create subpackage scim-hangul-skim
* Thu Aug 04 2005 - mfabian@suse.de
- Bugzilla #97962: add configure option "--enable-debug" to
  the .spec file.
* Tue Aug 02 2005 - aj@suse.de
-  Adjust neededforbuild.
* Mon Feb 28 2005 - mfabian@suse.de
- update to 0.2.0.
* Mon Sep 20 2004 - mfabian@suse.de
- add patch received from author (Zhe Su) which adds a reset()
  to HangulInstance::focus_out ().
* Fri Sep 03 2004 - mfabian@suse.de
- update to 0.1.2.
* Mon Aug 16 2004 - mfabian@suse.de
- update to 0.1.0.
* Fri Aug 13 2004 - mfabian@suse.de
- new package: scim-hangul, version 0.0.3.
